worker_processes auto;
error_log /var/log/nginx_error.log info;
events {
    worker_connections  1024;
}
stream {
    upstream dns {
        server 192.168.0.1:53;
        server dns.example.com:53;
    }
    server {
        listen 127.0.0.1:53 udp;
        proxy_responses 1;
        proxy_timeout 20s;
        proxy_pass dns;
    }
}
